unit RichEditSupport;

interface

uses
  Windows,
  ActiveX,
  RichEdit;

type
  TREObject = record
    cbStruct: DWord;          // size of structure in bytes
    cp: Longint;              // character position of object
    ClsID: TClsID;            // class identifier of object
    pOleObj: IOleObject;      // OLE object interface
    pStg: IStorage;           // associated storage interface
    pOleSite: IOleClientSite; // associated client site interface
    sizel: TSize;             // size of object (may be 0,0)
    dvaspect,                 // display aspect to use
    dwFlags,                  // object status flags
    dwUser: DWord;            // user-defined value
  end;

  IRichEditOle = interface
    ['{00020D00-0000-0000-C000-000000000046}']
    procedure GetClientSite(out lplpOleSite: IOleClientSite); stdcall;
    function GetObjectCount: Longint; stdcall;
    function GetLinkCount: Longint; stdcall;
    function GetObject(iObj: Longint; out reobject: TREObject; dwFlags: DWord): HResult; stdcall;
    function InsertObject(const reobject: TREObject): HResult; stdcall;
    function ConvertObject(iObj: Longint; const clsidNew: TClsId; lpStrUserTypeNew: lpCStr): HResult; stdcall;
    function ActivateAs(const clsId, clsIdAs: TClsId): HResult; stdcall;
    function SetHostNames(lpstrContainerApp, lpstrContainerObj: lpCStr): HResult; stdcall;
    function SetLinkAvailable(iObj: Longint; fAvailable: Bool): HResult; stdcall;
    function SetDvaspect(iObj: Longint; dvaspect: DWord): HResult; stdcall;
    function HandsOffStorage(iObj: Longint): HResult; stdcall;
    function SaveCompleted(iObj: Longint; stg: IStorage): HResult; stdcall;
    function InPlaceDeactivate: HResult; stdcall;
    function ContextSensitiveHelp(fEnterMode: Bool): HResult; stdcall;
    function GetClipboardData(const chrg: TCharRange; reco: DWord; out dataobj: IDataObject): HResult; stdcall;
    function ImportDataObject(dataobj: IDataObject; cf: TClipFormat; hMetaPict: HGlobal): HResult; stdcall;
  end;

implementation

end.
